Bug 849746 - Cheese is unable to detect integrated webcam and says 'no device found' in dell inspiron n4110
Cheese is unable to detect integrated webcam and says 'no device found' in de...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 14:19 EDT by saurabh
Modified: 2013-01-18 07:39 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 04:03:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description saurabh 2012-08-20 14:19:20 EDT
Description of problem:

Cheese is unable to detect integrated webcam and says 'no device found'

Version-Release number of selected component (if applicable):
Cheese 3.4.2


How reproducible:


Steps to Reproduce:
1.Activities
2.Cheese
3.This will follow black screen with error
  
Actual results:
Blank screen of cheese comes saying 'no device found'

Expected results:
Video from webcam should come

Additional info:

[root@localhost Downloads]# dmesg | grep video
[    0.305716] pci 0000:00:02.0: Boot video device
[   14.094857] Linux video capture interface: v2.00
[   14.278531] uvcvideo: Found UVC 1.00 device Laptop_Integrated_Webcam_HD (1bcf:2880)
[   14.296190] usbcore: registered new interface driver uvcvideo
Comment 1 Hans de Goede 2012-08-21 04:29:25 EDT
Hi,

We will need some more information to debug this, can you do the following please:

1) Start a terminal, in this terminal do:
export GST_DEBUG=cheese*:5,camerabin*:5
export GST_DEBUG_NO_COLOR=1
cheese 2> log

Then let cheese run until you get the error and then attach the "log" file here (gzip it if its large please).

2) After running cheese, do "dmesg" and see if there are any webcam / uvc / usb related (error) messages there.

Thanks,

Hans
Comment 2 saurabh 2012-08-21 15:16:07 EDT
Thank you. As soon as I typed 

export GST_DEBUG=cheese*:5,camerabin*:5
export GST_DEBUG_NO_COLOR=1
cheese 2> log

in terminal cheese opened up with webcam. It was little strange for me as yesterday I tried so many things but it never worked. May be the new packages i installed yesterday needs restart of system. Sorry to bother you. You can cancel or close down bug :-)
Comment 3 brad.banko 2013-01-18 07:39:03 EST
I am having this problem with fedora 17.  
Cheese does not seem to recognize my Logitech Pro 9000 webcam.

Note You need to log in before you can comment on or make changes to this bug.